/* 	CreateProjects_BV21.js 
	Script for BrainVoyager QX 2.2
	By Rainer Goebel 1995-2009
	Modified for BVQX 2.1 (2009), for BrainVoyager 21 (2019).
*/

var ObjectsRawDataPath = BrainVoyager.BrowseDirectory("Please select the path to the BrainVoyager sample data");
var DTIDataPath = BrainVoyager.BrowseDirectory("Please select the path to the BrainVoyager DWI sample data");//"/Users/BVuser/Data/Human31dir/";
var OtherDataPath = BrainVoyager.BrowseDirectory("Please select the path to the data");//"/Users/BVuser/Data/testdata/IMA_files/";

/* This is the code being directly executed, only uncommented functions are invoked */
// now create the projects
BrainVoyager.PrintToLog("Create FMR project...");
Create_FMR_Project();
BrainVoyager.PrintToLog("Create mosaic FMR project...");
Create_Mosaic_FMR_Project();
BrainVoyager.PrintToLog("Create VMR project...");
Create_VMR_Project();
BrainVoyager.PrintToLog("Create DMR project...");
Create_DMR_Project();
BrainVoyager.PrintToLog("Create AMR project...");
Create_AMR_Project();
 

// for mosaic EPI data
function Create_Mosaic_FMR_Project()
{
BrainVoyager.PrintToLog(ObjectsRawDataPath + "/" + "JudEck_20181128_BI_Exercises_sess4-0002-0001-00001.dcm");
    var docFMR = BrainVoyager.CreateProjectMosaicFMR("DICOM", ObjectsRawDataPath + "/" + "JudEck_20181128_BI_Exercises_sess4-0002-0001-00001.dcm", 
		291, 2, true, 64, "untitled-", false, 800, 800, 2, ObjectsRawDataPath, 1, 100, 100);
    docFMR.SaveAs( ObjectsRawDataPath + "/" + "sub-01_ses-04_task-blocked_run- 1_bold.fmr" ); 
    docFMR.Close();
}

// for non-mosaic EPI data
function Create_FMR_Project() 
{
    var firstfilename = BrainVoyager.BrowseFile("Please select the first file", "*.dcm");// OtherDataPath + "Subj1-0007-0001-00001.dcm";
 	var docFMR = BrainVoyager.CreateProjectFMR( "DICOM", firstfilename, 1, 0, true, 32, "untitled", false, 64, 64, 2, OtherDataPath);
	docFMR.SaveAs("NonMosaicDICOM_SCRIPT.fmr");
	docFMR.Close();
}

// for anatomical data
function Create_VMR_Project() 
{
      var docVMR = BrainVoyager.CreateProjectVMR( "DICOM", ObjectsRawDataPath + "/" + "JudEck_20181128_BI_Exercises_sess4-0008-0001-00001.dcm", 192, false, 256, 256, 2 );
      docVMR.SaveAs( ObjectsRawDataPath + "/" + "sub-01_ses-04_acq-nondistorted_T1w.vmr" ); 
	VMR.CorrectIntensityInhomogeneities(); // IIHC can only be performed directly after VMR creation
	docVMR.Close();
}

// for DWI data
function Create_DMR_Project() 
{
	var docDMR = BrainVoyager.CreateProjectDMR("DICOM", DTIDataPath + "/" + "pimpul_070907_dti -0007-0001-00001.dcm", 31, 0, true, 75, "human31dir", false, 128, 128, 2, DTIDataPath);
	docDMR.SaveAs(DTIDataPath  + "/" + "HUMAN31DIR_SCRIPT.dmr");
	docDMR.TR = 8900;
	docDMR.InterSliceTime = 118;
	docDMR.TimeResolutionVerified = true;
	docDMR.Save();
	docDMR.Close();
}

// for localizers, etc.
function Create_AMR_Project()
{
      var docAMR = BrainVoyager.CreateProjectAMR( "DICOM", ObjectsRawDataPath  + "/" + "BetSog_20040312_Goebel_C2 -0001-0001-0001.dcm", 3, false, 256, 256, 2 );
      docAMR.SaveAs(ObjectsRawDataPath  + "/" + "CG_SLICELOCALIZER_SCRIPT.amr");
	docAMR.Close();
}

/* Document properties:
TR (property)
	set via: docFMR.TR = 2000;
InterSliceTime (property)
NrOfVolumes (property)
PixelSizeOfSliceDimX (property)
PixelSizeOfSliceDimY (property)
InterSliceTime (property)
SliceThickness  (property)
GapThickness  (property)
VoxelResolutionVerified (property)
TimeResolutionVerified (property)
FileNameOfPreprocessdFMR (property)
	obtain via: var newname = docFMR.FileNameOfPreprocessdFMR;
*/
