// HelperFuns.js
// Functions for BrainVoyager 21


// Every line that is not commented (green) will be executed when clicking 'Run'
Welcome_Message();
printHeaderProperties();
Move_window();

var Doc = BrainVoyager.ActiveDocument;
BrainVoyager.ShowLogTab();
BrainVoyager.PrintToLog("Document is: " + (CheckDoc(Doc) ? "present." : "not present"));

var dicomdir = BrainVoyager.BrowseDirectory("Please select the directory with DICOM files");
BrainVoyager.RenameDicomFilesInDirectory(dicomdir);

// These functions can be invoked from above
function CheckDoc( Doc )
{
	if(typeof(Doc) == undefined)
		return false;
	return true;
}

function Move_window()
{    
	var x = BrainVoyager.x;
	var y = BrainVoyager.y;
	
	for(i=1; i<=10; i++)
	{
		BrainVoyager.MoveWindow(x+5*i, y+5*i);
	}
}

function Welcome_Message()
{
	BrainVoyager.ShowLogTab();
	BrainVoyager.PrintToLog("Welcome to BrainVoyager scripting!");
}

function printHeaderProperties() {

	var bvqxproject = BrainVoyager.ActiveDocument;
	BrainVoyager.PrintToLog("Repetition time (TR): " + bvqxproject.TR);
	BrainVoyager.PrintToLog("Inter slice time (IST): " + bvqxproject.InterSliceTime);
	BrainVoyager.PrintToLog("Number of volumes: " + bvqxproject.NrOfVolumes); // for FMR
	BrainVoyager.PrintToLog("Pixel size of x-dimension: " + bvqxproject.PixelSizeOfSliceDimX); // for FMR
	BrainVoyager.PrintToLog("Pixel size of y-dimension " + bvqxproject.PixelSizeOfSliceDimY); // for FMR
	BrainVoyager.PrintToLog("Slice thickness: " + bvqxproject.SliceThickness); // for FMR
	BrainVoyager.PrintToLog("Gap size: " + bvqxproject.GapThickness); 
	BrainVoyager.PrintToLog("Voxel resolution verified: " + bvqxproject.VoxelResolutionVerified);
	BrainVoyager.PrintToLog("Time resolution verified: " + bvqxproject.TimeResolutionVerified);
	BrainVoyager.PrintToLog("VMR voxel resolution: x: " + bvqxproject.VMRVoxelResolutionX + ", y: " + bvqxproject.VMRVoxelResolutionY + ", z: " + bvqxproject.VMRVoxelResolutionZ); // for VMR
}

