
/* 	LinkingFiles.qs
	Script to link files 
	By Rainer Goebel 2005
	Modified for QX 2.1 (2009), for BrainVoyager 21 (2019) HB
*/

/* This information is used in the functions */
	//var ObjectsRawDataPath = BrainVoyager.BrowseDirectory("Please select the data path") + "/";//"/Users/BVuser/Data/ObjectsDicomGSG/";
	var today = new Date();
	var nameFMR = BrainVoyager.BrowseFile("Please select an FMR", "*.fmr");//ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_SCLAI_3DMCTS_SD3DSS4.00mm_LTR_THP3c_TDTS10.0s.fmr";
	var nameAMR = BrainVoyager.BrowseFile("Please select an AMR", "*.amr");//ObjectsRawDataPath + "new/CG_OBJECTS_SCRIPT_firstvol_as_anat.amr";
	var nameVMR = BrainVoyager.BrowseFile("Please select a VMR", "*.vmr");//ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_TAL.vmr";
	var nameVTC = BrainVoyager.BrowseFile("Please select a VTC", "*.vtc");//ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_TAL.vtc";


/* 	This code is executed when clicking 'Run' 
	If an error occurs, it is printed to the BrainVoyager Log tab
*/
	BrainVoyager.ShowLogTab();
	try {
		linkAMRtoFMR(nameFMR, nameAMR);
		linkVTCtoVMR(nameVMR, nameVTC); 
	} catch (e) {
		BrainVoyager.PrintToLog("Error: " + e);
	}


/* These functions are invoked from the section above */

function linkAMRtoFMR(fmrname, amrname) {
		var docFMR = BrainVoyager.OpenDocument(fmrname);
		BrainVoyager.PrintToLog("Trying to link AMR " + amrname);
		docFMR.LinkAMR(amrname);
		docFMR.Save();	
	}

function linkVTCtoVMR(vmrname, vtcname) {
	var docVMR = BrainVoyager.OpenDocument(vmrname);
	BrainVoyager.PrintToLog("Linking VTC " + vtcname + "...");
	docVMR.LinkVTC(vtcname);
}

