/* 	SurfaceFunctions.qs
	Script to visualize surface files 
	For BrainVoyager QX 2.1, adapted for BrainVoyager 21 11-04-2019
*/

/* This information is used in the functions */
var ObjectsRawDataPath = BrainVoyager.BrowseDirectory("Please select the BrainVoyager sample experiment directory"); // "/Users/BVuser/Data/ObjectsDicomGSG/";
var nameVMRinTal = BrainVoyager.BrowseFile("Please select the anatomical file", "*TAL.vmr"); // ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_CLEAN_TAL.vmr";
var namesrf = BrainVoyager.BrowseFile("Please select the surface file", "*.srf"); 

/* This code will be executed when clicking 'Run' */
//LoadVMRandSRF();
SurfaceViewpoints();

/* These functions can be invoked */
function LoadVMRandSRF(namesrf)
{
	var docVMR = BrainVoyager.OpenDocument(nameVMRinTal);
	docVMR.LoadMesh(namesrf);// ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_CLEAN_TAL_LH_RECOSM.srf");
//	docVMR.AddMesh(ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_CLEAN_TAL_RH_RECOSM.srf");
//	docVMR.AddMesh(ObjectsRawDataPath + "Ivo_head.srf");
	docVMR.Close();
}

function SurfaceViewpoints(namesrf) {

	var docVMR = BrainVoyager.OpenDocument(nameVMRinTal);
	var meshscene = docVMR.CreateMeshScene();
	meshscene.LoadMesh(namesrf); // ObjectsRawDataPath +  "CG_3DT1MPR_SCRIPT_CLEAN_TAL_RH_RECOSM.srf");
	BrainVoyager.ShowLogTab();
	BrainVoyager.PrintToLog("Changing viewpoints...");

	var i;
	//////////////////// X 
	var TrX = docVMR.ViewpointTranslationX;
	BrainVoyager.PrintToLog("Translate X...");
	for(i=1; i<61; i++)	{
		docVMR.ViewpointTranslationX = TrX + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}
	for(i=61; i>1; i--)	{
		docVMR.ViewpointTranslationX = TrX - 6*i;  
		docVMR.UpdateSurfaceWindow();
	}	

	BrainVoyager.PrintToLog("Rotate X...");	
	var RotX = docVMR.ViewpointRotationX; 
	for(i=1; i<61; i++)	{
		docVMR.ViewpointRotationX = RotX + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}

	//////////////////// Y 
	var TrY = docVMR.ViewpointTranslationY;
	BrainVoyager.PrintToLog("Translate Y...");
	for(i=1; i<61; i++)	{
		docVMR.ViewpointTranslationY = TrY + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}
	BrainVoyager.PrintToLog("Rotate Y...");	
	for(i=61; i>1; i--)	{
		docVMR.ViewpointTranslationY = TrY - 6*i;  
		docVMR.UpdateSurfaceWindow();
	}		
	var RotY = docVMR.ViewpointRotationY; 
	for(i=1; i<61; i++)	{
		docVMR.ViewpointRotationY = RotY + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}

	//////////////////// Z
	var TrZ = docVMR.ViewpointTranslationZ;
	BrainVoyager.PrintToLog("Translate Z...");
	for(i=1; i<61; i++)	{
		docVMR.ViewpointTranslationZ = TrZ + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}
	for(i=61; i>1; i--)	{
		docVMR.ViewpointTranslationZ = TrZ - 6*i;  
		docVMR.UpdateSurfaceWindow();
	}		

	BrainVoyager.PrintToLog("Rotate Z...");	
	var RotZ = docVMR.ViewpointRotationZ; 
	for(i=1; i<61; i++)	{
		docVMR.ViewpointRotationZ = RotZ + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}

	docVMR.SaveSnapshotOfSurfaceWindow(ObjectsRawDataPath + "Surface.png");
	BrainVoyager.PrintToLog("Finished.");
}
